﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeViewTest
{
    public class EntityDataSource : ObservableCollection<EntityHierarchy>
    {
        public EntityDataSource()
        {
            EntityHierarchy item;
            EntityHierarchy child;

            Add(item = new EntityHierarchy("League A"));
            item.Entities.Add((child = new EntityHierarchy("Division A")));
            child.Entities.Add(new EntityHierarchy("Team I"));
            child.Entities.Add(new EntityHierarchy("Team II"));
            child.Entities.Add(new EntityHierarchy("Team III"));
            child.Entities.Add(new EntityHierarchy("Team IV"));
            child.Entities.Add(new EntityHierarchy("Team V"));
            item.Entities.Add((child = new EntityHierarchy("Division B")));
            child.Entities.Add(new EntityHierarchy("Team Blue"));
            child.Entities.Add(new EntityHierarchy("Team Red"));
            child.Entities.Add(new EntityHierarchy("Team Yellow"));
            child.Entities.Add(new EntityHierarchy("Team Green"));
            child.Entities.Add(new EntityHierarchy("Team Orange"));
            item.Entities.Add((child = new EntityHierarchy("Division C")));
            child.Entities.Add(new EntityHierarchy("Team East"));
            child.Entities.Add(new EntityHierarchy("Team West"));
            child.Entities.Add(new EntityHierarchy("Team North"));
            child.Entities.Add(new EntityHierarchy("Team South"));
            Add(item = new EntityHierarchy("League B"));
            item.Entities.Add((child = new EntityHierarchy("Division A")));
            child.Entities.Add(new EntityHierarchy("Team 1"));
            child.Entities.Add(new EntityHierarchy("Team 2"));
            child.Entities.Add(new EntityHierarchy("Team 3"));
            child.Entities.Add(new EntityHierarchy("Team 4"));
            child.Entities.Add(new EntityHierarchy("Team 5"));
            item.Entities.Add((child = new EntityHierarchy("Division B")));
            child.Entities.Add(new EntityHierarchy("Team Diamond"));
            child.Entities.Add(new EntityHierarchy("Team Heart"));
            child.Entities.Add(new EntityHierarchy("Team Club"));
            child.Entities.Add(new EntityHierarchy("Team Spade"));
            item.Entities.Add((child = new EntityHierarchy("Division C")));
            child.Entities.Add(new EntityHierarchy("Team Alpha"));
            child.Entities.Add(new EntityHierarchy("Team Beta"));
            child.Entities.Add(new EntityHierarchy("Team Gamma"));
            child.Entities.Add(new EntityHierarchy("Team Delta"));
            child.Entities.Add(new EntityHierarchy("Team Epsilon"));
        }
    }
}
