﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Windows.Automation;

namespace TreeViewTest
{
    public class EntityHierarchy 
    {
        public EntityHierarchy()
        {
            Entities = new ObservableCollection<EntityHierarchy>();
        }

        public EntityHierarchy(string name)
        {
            Entities = new ObservableCollection<EntityHierarchy>();
            this.Name = name;
        }

        public ObservableCollection<EntityHierarchy> Entities
        {
            get;
            set;
        }

        public ToggleState CheckState { get; set; }
        public string Code { get; set; }
        public string Description { get; set; }     
        public string Id { get; set; }
        public string ImageUrl { get; set; }
        public bool IsExpanded { get; set; }
        public bool IsSelected { get; set; }
        public string Name { get; set; }
        public int NodeLevel { get; set; }
        public string Path { get; set; }
        public int SortOrder { get; set; }
        public string TypeId { get; set; }
    }

}
